Ubuntu Download Manager: PropertiesInterface Class Reference

Ubuntu Download Manager 1.2.0 A session-wide downloading service |

Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
PropertiesInterface Class Reference

`#include <properties_interface.h>`

Inheritance diagram for PropertiesInterface:
Collaboration diagram for PropertiesInterface:

## Public Slots
QDBusPendingReply< QDBusVariant > | Get (const QString &interface_name, const QString &property_name)
QDBusPendingReply< QVariantMap > | GetAll (const QString &interface_name)
QDBusPendingReply | Set (const QString &interface_name, const QString &property_name, const QDBusVariant &value)

## Signals
void | PropertiesChanged (const QString &interface_name, const QVariantMap &changed_properties, const QStringList &invalidated_properties)

## Public Member Functions
| PropertiesInterface (const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent=0)
| ~PropertiesInterface ()

## Static Public Member Functions
static const char * | staticInterfaceName ()

## Detailed Description

Definition at line 27 of file properties_interface.h.

## Constructor & Destructor Documentation

## ◆ PropertiesInterface()

PropertiesInterface::PropertiesInterface | ( | const QString & | service,
|  | const QString & | path,
|  | const QDBusConnection & | connection,
|  | QObject * | parent = `0`
| ) |  |

Definition at line 18 of file properties_interface.cpp.

## ◆ ~PropertiesInterface()

PropertiesInterface::~PropertiesInterface | ( |  | ) |

Definition at line 23 of file properties_interface.cpp.

## Member Function Documentation

## ◆ Get

QDBusPendingReply<QDBusVariant> PropertiesInterface::Get | ( | const QString & | interface_name,
|  | const QString & | property_name
| ) |  |
| inlineslot

Definition at line 40 of file properties_interface.h.

## ◆ GetAll

QDBusPendingReply<QVariantMap> PropertiesInterface::GetAll | ( | const QString & | interface_name | ) |
| inlineslot

Definition at line 47 of file properties_interface.h.

## ◆ PropertiesChanged

void PropertiesInterface::PropertiesChanged | ( | const QString & | interface_name,
|  | const QVariantMap & | changed_properties,
|  | const QStringList & | invalidated_properties
| ) |  |
| signal

Definition at line 173 of file moc_properties_interface.cpp.

## ◆ Set

QDBusPendingReply PropertiesInterface::Set | ( | const QString & | interface_name,
|  | const QString & | property_name,
|  | const QDBusVariant & | value
| ) |  |
| inlineslot

Definition at line 54 of file properties_interface.h.

## ◆ staticInterfaceName()

static const char* PropertiesInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Definition at line 31 of file properties_interface.h.

The documentation for this class was generated from the following files:

- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/properties_interface.h
- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/properties_interface.cpp
- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu-download-manager-client_autogen/KVAQPNROTY/moc_properties_interface.cpp